#!/bin/sh

MAJOR=4
MINOR=4
MICRO=0
NANO=3

echo Setting version ${MAJOR} ${MINOR} ${MICRO} ${NANO}

for f in Makefile src/sources src/driver/sources src/libusbStaticLink.vcproj
do
  echo Updating versions in $f

  sed "s/\(VERSION_MAJOR *= *\)[0-9]*/\1${MAJOR}/" $f \
| sed "s/\(VERSION_MINOR *= *\)[0-9]*/\1${MINOR}/"  \
| sed "s/\(VERSION_MICRO *= *\)[0-9]*/\1${MICRO}/" \
| sed "s/\(VERSION_NANO *= *\)[0-9]*/\1${NANO}/" \
| sed "s/\(define *VERSION_MAJOR *\)[0-9]*/\1${MAJOR}/"  \
| sed "s/\(define *VERSION_MINOR *\)[0-9]*/\1${MINOR}/"  \
| sed "s/\(define *VERSION_MICRO *\)[0-9]*/\1${MICRO}/" \
| sed "s/\(define *VERSION_NANO *\)[0-9]*/\1${NANO}/" \
| sed "s/\(RC_VERSION *= *\)[0-9]*,[0-9]*,[0-9]*,[0-9]*/\1${MAJOR},${MINOR},${MICRO},${NANO}/" \
| sed "s/\(RC_VERSION_STR *= *\".\"\)[0-9]*,[0-9]*,[0-9]*,[0-9]/\1${MAJOR},${MINOR},${MICRO},${NANO}/" \
> tmp

cp tmp $f

done

